实例介绍
【实例截图】
【核心代码】
using System; using System.Collections; using System.Collections.Generic; using System.ComponentModel; using System.Data; using System.Drawing; using System.Linq; using System.Windows.Forms; using System.Data.OleDb; using Autodesk.AutoCAD.ApplicationServices; using Autodesk.AutoCAD.Geometry; using Autodesk.AutoCAD.DatabaseServices; using Autodesk.AutoCAD.EditorInput; namespace TriangulationNetwork { public partial class Form1 : Form { public Form1() { InitializeComponent(); } private void draw_Click(object sender, EventArgs e) { //选中当前文档里面的所有点 DBObjectCollection points = new DBObjectCollection(); points = Methods.SelectAllPoint(); Point3dCollection pt = new Point3dCollection(); foreach (DBPoint item in points) { pt.Add(item.Position); } //ConvexHull hull = new ConvexHull(pt); //hull.CalculateConvex(); TriNet triNet = new TriNet(pt); triNet.CalculateTriNet(); } /// <summary> /// 读取EXCEL文档在CAD上画点 /// </summary> /// <param name="sender"></param> /// <param name="e"></param> private void ExcelBtn_Click(object sender, EventArgs e) { openFileDialog1.Title = "打开excel文档"; openFileDialog1.Filter = "Excle 文件(*.xls)|*xls"; this.openFileDialog1.FileName = ""; if (this.openFileDialog1.ShowDialog() == DialogResult.OK) { string path = this.openFileDialog1.FileName; //文档路径 string connection = "Provider=Microsoft.Jet.OLEDB.4.0;" "Data Source=" path ";" "Extended Properties='Excel 8.0;HDR=yes;IMEX=1';"; string select = "Select * from [sheet1$]"; OleDbConnection oleDdConn = new OleDbConnection(); try { oleDdConn = new OleDbConnection(connection); oleDdConn.Open(); OleDbCommand command = new OleDbCommand(select, oleDdConn); OleDbDataReader read = command.ExecuteReader(); while (read.Read()) { //读取表格中的值 string X = read.GetValue(1).ToString(); string Y = read.GetValue(2).ToString(); string Z = read.GetValue(3).ToString(); //转换为数字 double x = Convert.ToDouble(X); double y = Convert.ToDouble(Y); double z = Convert.ToDouble(Z); DrawGeom.DrawDBPoint(x, y, z); } } catch (Exception) { MessageBox.Show("读入错误"); } } } private void Form1_Load(object sender, EventArgs e) { } } }
标签: C#
小贴士
感谢您为本站写下的评论,您的评论对其它用户来说具有重要的参考价值,所以请认真填写。
- 类似“顶”、“沙发”之类没有营养的文字,对勤劳贡献的楼主来说是令人沮丧的反馈信息。
- 相信您也不想看到一排文字/表情墙,所以请不要反馈意义不大的重复字符,也请尽量不要纯表情的回复。
- 提问之前请再仔细看一遍楼主的说明,或许是您遗漏了。
- 请勿到处挖坑绊人、招贴广告。既占空间让人厌烦,又没人会搭理,于人于己都无利。
关于好例子网
本站旨在为广大IT学习爱好者提供一个非营利性互相学习交流分享平台。本站所有资源都可以被免费获取学习研究。本站资源来自网友分享,对搜索内容的合法性不具有预见性、识别性、控制性,仅供学习研究,请务必在下载后24小时内给予删除,不得用于其他任何用途,否则后果自负。基于互联网的特殊性,平台无法对用户传输的作品、信息、内容的权属或合法性、安全性、合规性、真实性、科学性、完整权、有效性等进行实质审查;无论平台是否已进行审查,用户均应自行承担因其传输的作品、信息、内容而可能或已经产生的侵权或权属纠纷等法律责任。本站所有资源不代表本站的观点或立场,基于网友分享,根据中国法律《信息网络传播权保护条例》第二十二与二十三条之规定,若资源存在侵权或相关问题请联系本站客服人员,点此联系我们。关于更多版权及免责申明参见 版权及免责申明
网友评论
我要评论